;; Small helper functions to help sending frames to the device 
;; from emacs

(provide 'emacs-prism54-config)

(defvar prism54-device 
  "eth3" 
  "Network device used by the commands in emacs-prism54"
  )

;; better yet, write the regexps in elisp ?
(defun send-region-to-prism54 ()
  "Send the region to the prism54 device via its private dedicated ioctl"
  (interactive)
  ;; if mark-active
  (shell-command-on-region 
   (mark) 
   (point) 
   (concat
    " sed -e 's/.*[ 0-9a-fA-F]*:\\([^:]*\\)$/\\1/'"               ;; filters out the offset 
    " | grep -e '^ *\\(\\(0x\\)\\?[0-9a-fA-F]\\+ *\\)*$'"         ;; filters out non-conforming lines
    " | sed -e 's/\\(0x\\)\\?\\([0-9a-fA-F]\\{1,2\\}\\)/ 0x\\2/g'";; add 0x if needed
    " | tr '\\n' ' ' "                                            ;; remove newlines
    " | xargs sudo /sbin/iwpriv " prism54-device " set_announcedpkt "
   )
  )
)

(global-unset-key [?\M-p])
(global-set-key [?\M-p] 'send-region-to-prism54)
