/*
 *  Copyright 2005 (C) Jean-Baptiste Note
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <stdio.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/ioctl.h>
#include <termios.h>
#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>
#include <signal.h>

int
main(int argc, char *argv[])
{
	struct termios otty, ntty;

	/* Set up the keyboard. */
	if (ioctl(0, TCGETS, &otty) < 0) {
		perror("term ioctl TCGETS");
		return (-1);
	}
	ntty = otty;
	ntty.c_lflag |= ECHO | ICANON | ISIG;
	ntty.c_iflag |= ICRNL | IXON | IXOFF;
	ntty.c_oflag |= ONLCR | OPOST;
	if (ioctl(0, TCSETS, &ntty) < 0) {
		perror("term ioctl TCSETS");
		return (-1);
	}

	return 0;
}
